Subject: Re: bug#73310: tree-sitter makes cpu 100%

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Sep 2024 15:29:33 +0300

> Date: Tue, 17 Sep 2024 09:27:20 +0800
> From: vinurs <[email-masked]>
> 
> I am using the latest emacs-30
> https://github.com/emacs-mirror/emacs/commit/c6077015894dd89c5aa3811bf55d3124394874d0 
> 
> The min configuration is as follows:
> 
> (add-to-list 'treesit-extra-load-path (expand-file-name "tree-sitter/" user-emacs-directory))
> 
> (add-to-list 'load-path "~/.emacs.d/site-lisp/clojure-ts-mode”)
> 
> (require 'clojure-ts-mode)
> 
> ;; debug
> 
> (setq debug-on-quit t)
> 
> and I only use clojure-ts-mode package
> 
> cd ~/.emacs.d/site-lisp
> 
> git clone https://github.com/clojure-emacs/clojure-ts-mode.git
> 
> Then, after opening Emacs, Open the elong.clj file,
> 
> After moving to line 52, delete all the characters following :error-code, then quickly press the spacebar twice.
> At this point, it freezes.

AFAICT, it doesn't freeze, it eats up memory like crazy.  If you limit
the memory available to the process to some reasonable value, Emacs
will soon enough tell you that memory is exhausted, and will suggest
to save the buffer and exit.

Yuan, can you look into this, please?  I'm not sure it's an Emacs bug,
but who knows?